
locals {
  allowed_triggers = var.allowed_triggers
  architectures = var.architectures
  artifacts_dir = var.artifacts_dir
  assume_role_policy_statements = var.assume_role_policy_statements
  attach_async_event_policy = var.attach_async_event_policy
  attach_cloudwatch_logs_policy = var.attach_cloudwatch_logs_policy
  attach_create_log_group_permission = var.attach_create_log_group_permission
  attach_dead_letter_policy = var.attach_dead_letter_policy
  attach_network_policy = var.attach_network_policy
  attach_policies = var.attach_policies
  attach_policy = var.attach_policy
  attach_policy_json = var.attach_policy_json
  attach_policy_jsons = var.attach_policy_jsons
  attach_policy_statements = var.attach_policy_statements
  attach_tracing_policy = var.attach_tracing_policy
  authorization_type = var.authorization_type
  build_in_docker = var.build_in_docker
  cloudwatch_logs_kms_key_id = var.cloudwatch_logs_kms_key_id
  cloudwatch_logs_log_group_class = var.cloudwatch_logs_log_group_class
  cloudwatch_logs_retention_in_days = var.cloudwatch_logs_retention_in_days
  cloudwatch_logs_skip_destroy = var.cloudwatch_logs_skip_destroy
  cloudwatch_logs_tags = var.cloudwatch_logs_tags
  code_signing_config_arn = var.code_signing_config_arn
  compatible_architectures = var.compatible_architectures
  compatible_runtimes = var.compatible_runtimes
  cors = var.cors
  create = var.create
  create_async_event_config = var.create_async_event_config
  create_current_version_allowed_triggers = var.create_current_version_allowed_triggers
  create_current_version_async_event_config = var.create_current_version_async_event_config
  create_function = var.create_function
  create_lambda_function_url = var.create_lambda_function_url
  create_layer = var.create_layer
  create_package = var.create_package
  create_role = var.create_role
  create_sam_metadata = var.create_sam_metadata
  create_unqualified_alias_allowed_triggers = var.create_unqualified_alias_allowed_triggers
  create_unqualified_alias_async_event_config = var.create_unqualified_alias_async_event_config
  create_unqualified_alias_lambda_function_url = var.create_unqualified_alias_lambda_function_url
  dead_letter_target_arn = var.dead_letter_target_arn
  description = var.description
  destination_on_failure = var.destination_on_failure
  destination_on_success = var.destination_on_success
  docker_additional_options = var.docker_additional_options
  docker_build_root = var.docker_build_root
  docker_entrypoint = var.docker_entrypoint
  docker_file = var.docker_file
  docker_image = var.docker_image
  docker_pip_cache = var.docker_pip_cache
  docker_with_ssh_agent = var.docker_with_ssh_agent
  environment_variables = var.environment_variables
  ephemeral_storage_size = var.ephemeral_storage_size
  event_source_mapping = var.event_source_mapping
  file_system_arn = var.file_system_arn
  file_system_local_mount_path = var.file_system_local_mount_path
  function_name = var.function_name
  function_tags = var.function_tags
  handler = var.handler
  hash_extra = var.hash_extra
  ignore_source_code_hash = var.ignore_source_code_hash
  image_config_command = var.image_config_command
  image_config_entry_point = var.image_config_entry_point
  image_config_working_directory = var.image_config_working_directory
  image_uri = var.image_uri
  invoke_mode = var.invoke_mode
  kms_key_arn = var.kms_key_arn
  lambda_at_edge = var.lambda_at_edge
  lambda_at_edge_logs_all_regions = var.lambda_at_edge_logs_all_regions
  lambda_role = var.lambda_role
  layer_name = var.layer_name
  layer_skip_destroy = var.layer_skip_destroy
  layers = var.layers
  license_info = var.license_info
  local_existing_package = var.local_existing_package
  logging_application_log_level = var.logging_application_log_level
  logging_log_format = var.logging_log_format
  logging_log_group = var.logging_log_group
  logging_system_log_level = var.logging_system_log_level
  maximum_event_age_in_seconds = var.maximum_event_age_in_seconds
  maximum_retry_attempts = var.maximum_retry_attempts
  memory_size = var.memory_size
  number_of_policies = var.number_of_policies
  number_of_policy_jsons = var.number_of_policy_jsons
  package_type = var.package_type
  policies = var.policies
  policy = var.policy
  policy_json = var.policy_json
  policy_jsons = var.policy_jsons
  policy_name = var.policy_name
  policy_path = var.policy_path
  policy_statements = var.policy_statements
  provisioned_concurrent_executions = var.provisioned_concurrent_executions
  publish = var.publish
  putin_khuylo = var.putin_khuylo
  recreate_missing_package = var.recreate_missing_package
  replace_security_groups_on_destroy = var.replace_security_groups_on_destroy
  replacement_security_group_ids = var.replacement_security_group_ids
  reserved_concurrent_executions = var.reserved_concurrent_executions
  role_description = var.role_description
  role_force_detach_policies = var.role_force_detach_policies
  role_maximum_session_duration = var.role_maximum_session_duration
  role_name = var.role_name
  role_path = var.role_path
  role_permissions_boundary = var.role_permissions_boundary
  role_tags = var.role_tags
  runtime = var.runtime
  s3_acl = var.s3_acl
  s3_bucket = var.s3_bucket
  s3_existing_package = var.s3_existing_package
  s3_kms_key_id = var.s3_kms_key_id
  s3_object_override_default_tags = var.s3_object_override_default_tags
  s3_object_storage_class = var.s3_object_storage_class
  s3_object_tags = var.s3_object_tags
  s3_object_tags_only = var.s3_object_tags_only
  s3_prefix = var.s3_prefix
  s3_server_side_encryption = var.s3_server_side_encryption
  snap_start = var.snap_start
  source_path = var.source_path
  store_on_s3 = var.store_on_s3
  tags = var.tags
  timeout = var.timeout
  timeouts = var.timeouts
  tracing_mode = var.tracing_mode
  trigger_on_package_timestamp = var.trigger_on_package_timestamp
  trusted_entities = var.trusted_entities
  use_existing_cloudwatch_log_group = var.use_existing_cloudwatch_log_group
  vpc_security_group_ids = var.vpc_security_group_ids
  vpc_subnet_ids = var.vpc_subnet_ids
}
